Executive Summary

Informations
Name CVE-2004-1019 First vendor Publication 2005-01-10
Vendor Cve Last vendor Modification 2018-10-30

Security-Database Scoring CVSS v3

Cvss vector : N/A
Overall CVSS Score NA
Base Score NA Environmental Score NA
impact SubScore NA Temporal Score NA
Exploitabality Sub Score NA
 
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:L/Au:N/C:C/I:C/A:C)
Cvss Base Score 10 Attack Range Network
Cvss Impact Score 10 Attack Complexity Low
Cvss Expoit Score 10 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

The deserialization code in PHP before 4.3.10 and PHP 5.x up to 5.0.2 allows remote attackers to cause a denial of service and execute arbitrary code via untrusted data to the unserialize function that may trigger "information disclosure, double-free and negative reference index array underflow" results.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1019

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-20 Improper Input Validation

OVAL Definitions

Definition Id: oval:org.mitre.oval:def:10511
 
Oval ID: oval:org.mitre.oval:def:10511
Title: The deserialization code in PHP before 4.3.10 and PHP 5.x up to 5.0.2 allows remote attackers to cause a denial of service and execute arbitrary code via untrusted data to the unserialize function that may trigger "information disclosure, double-free and negative reference index array underflow" results.
Description: The deserialization code in PHP before 4.3.10 and PHP 5.x up to 5.0.2 allows remote attackers to cause a denial of service and execute arbitrary code via untrusted data to the unserialize function that may trigger "information disclosure, double-free and negative reference index array underflow" results.
Family: unix Class: vulnerability
Reference(s): CVE-2004-1019
Version: 5
Platform(s): Red Hat Enterprise Linux 3
CentOS Linux 3
Red Hat Enterprise Linux 4
CentOS Linux 4
Oracle Linux 4
Product(s):
Definition Synopsis:

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 3
Application 57
Os 3
Os 2

OpenVAS Exploits

Date Description
2009-10-10 Name : SLES9: Security update for PHP4
File : nvt/sles9p5015816.nasl
2009-10-10 Name : SLES9: Security update for PHP4
File : nvt/sles9p5019075.nasl
2009-10-10 Name : SLES9: Security update for PHP4
File : nvt/sles9p5020183.nasl
2009-10-10 Name : SLES9: Security update for PHP4
File : nvt/sles9p5020404.nasl
2009-10-10 Name : SLES9: Security update for PHP4
File : nvt/sles9p5021505.nasl
2009-10-10 Name : SLES9: Security update for PHP4
File : nvt/sles9p5021688.nasl
2008-09-24 Name : Gentoo Security Advisory GLSA 200412-14 (PHP)
File : nvt/glsa_200412_14.nasl
2008-09-04 Name : php -- multiple vulnerabilities
File : nvt/freebsd_mod_php4-twig0.nasl

Open Source Vulnerability Database (OSVDB)

Id Description
12415 PHP unserialize() Function Negative Reference Arbitrary Code Execution

PHP contains a flaw that may allow a remote attacker to gain elevated privileges. The issue is due to the deserialization code not properly sanitizing user-supplied input. This may allow an attacker to pass crafted content to the unserialize function and cause a denial of service or execute arbitrary code.

Nessus® Vulnerability Scanner

Date Description
2016-08-29 Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2016-1638-1.nasl - Type : ACT_GATHER_INFO
2015-02-20 Name : The remote openSUSE host is missing a security update.
File : openSUSE-2015-163.nasl - Type : ACT_GATHER_INFO
2015-01-09 Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2015-464.nasl - Type : ACT_GATHER_INFO
2015-01-09 Name : The remote Amazon Linux AMI host is missing a security update.
File : ala_ALAS-2015-463.nasl - Type : ACT_GATHER_INFO
2006-01-15 Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-40-1.nasl - Type : ACT_GATHER_INFO
2005-11-15 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2005-838.nasl - Type : ACT_GATHER_INFO
2005-07-13 Name : The remote FreeBSD host is missing one or more security-related updates.
File : freebsd_pkg_d47e9d19501611d99b5f0050569f0001.nasl - Type : ACT_GATHER_INFO
2005-02-22 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2005-032.nasl - Type : ACT_GATHER_INFO
2005-02-03 Name : The remote host is missing a vendor-supplied security patch
File : suse_SA_2005_002.nasl - Type : ACT_GATHER_INFO
2005-01-26 Name : The remote host is missing a Mac OS X update that fixes a security issue.
File : macosx_SecUpd2005-001.nasl - Type : ACT_GATHER_INFO
2005-01-19 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2005-031.nasl - Type : ACT_GATHER_INFO
2004-12-23 Name : The remote Fedora Core host is missing a security update.
File : fedora_2004-567.nasl - Type : ACT_GATHER_INFO
2004-12-23 Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2004-687.nasl - Type : ACT_GATHER_INFO
2004-12-23 Name : The remote Fedora Core host is missing a security update.
File : fedora_2004-568.nasl - Type : ACT_GATHER_INFO
2004-12-19 Name : The remote Mandrake Linux host is missing one or more security updates.
File : mandrake_MDKSA-2004-151.nasl - Type : ACT_GATHER_INFO
2004-12-19 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-200412-14.nasl - Type : ACT_GATHER_INFO
2004-12-15 Name : The remote web server uses a version of PHP that is potentially affected by m...
File : php45_multiple_flaws.nasl - Type : ACT_GATHER_INFO
2004-09-17 Name : Arbitrary files may be uploaded on the remote host.
File : php_arbitrary_file_upload.nasl - Type : ACT_GATHER_INFO

Sources (Detail)

Source Url
BUGTRAQ http://marc.info/?l=bugtraq&m=110314318531298&w=2
CONFIRM http://www.oracle.com/technetwork/topics/security/bulletinjan2015-2370101.html
http://www.php.net/release_4_3_10.php
FEDORA https://bugzilla.fedora.us/show_bug.cgi?id=2344
HP http://www.securityfocus.com/advisories/9028
MANDRAKE http://www.mandriva.com/security/advisories?name=MDKSA-2004:151
MISC http://www.hardened-php.net/advisories/012004.txt
OPENPKG http://msgs.securepoint.com/cgi-bin/get/bugtraq0412/157.html
OVAL https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
REDHAT http://www.redhat.com/support/errata/RHSA-2004-687.html
http://www.redhat.com/support/errata/RHSA-2005-032.html
http://www.redhat.com/support/errata/RHSA-2005-816.html
SUSE http://lists.opensuse.org/opensuse-security-announce/2015-02/msg00029.html
http://lists.opensuse.org/opensuse-updates/2015-02/msg00079.html
http://www.novell.com/linux/security/advisories/2005_02_php4_mod_php4.html
XF https://exchange.xforce.ibmcloud.com/vulnerabilities/18514

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
6
7
8
9
10
11
12
13
14
Date Informations
2020-05-23 00:15:56
  • Multiple Updates
2019-06-08 12:01:19
  • Multiple Updates
2018-10-31 00:19:43
  • Multiple Updates
2017-10-11 09:23:24
  • Multiple Updates
2017-07-11 12:01:33
  • Multiple Updates
2016-10-26 09:22:39
  • Multiple Updates
2016-10-18 12:01:24
  • Multiple Updates
2016-08-30 13:21:27
  • Multiple Updates
2016-06-28 15:06:27
  • Multiple Updates
2016-04-26 12:55:05
  • Multiple Updates
2015-03-17 09:25:21
  • Multiple Updates
2015-02-21 13:24:13
  • Multiple Updates
2015-01-10 13:23:18
  • Multiple Updates
2014-02-17 10:28:19
  • Multiple Updates
2013-05-11 11:43:40
  • Multiple Updates